com.sun.grid.jgdi.configuration

## Class ProjectImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ProjectImpl

- All Implemented Interfaces:
    GEObject, Project, java.io.Serializable, java.lang.Cloneable

      public class ProjectImpl
      extends GEObjectImpl
      implements Project

  Java representation of the cull object PR_Type defined in sge_all_listsL.template

  Warning: The ProjectImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectImpl()` Create a new instance of ProjectImpl.
    `ProjectImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ProjectImpl(java.lang.String name)` Create a new instance of ProjectImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(UserSet aacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXacl(UserSet axacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `boolean` | `isSetAcl()` Determine if the acl attribute is set
    `boolean` | `isSetFshare()` Determine if the fshare attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetOticket()` Determine if the oticket attribute is set
    `boolean` | `isSetXacl()` Determine if the xacl attribute is set
    `UserSet` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeAcl(UserSet aacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `UserSet` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXacl(UserSet axacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setAcl(int index, UserSet aacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.
    `void` | `setXacl(int index, UserSet axacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ProjectImpl

          public ProjectImpl()

      Create a new instance of ProjectImpl. The new instance will not be initialized with the default values.

    - #### ProjectImpl

          public ProjectImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ProjectImpl

          public ProjectImpl(java.lang.String name)

      Create a new instance of ProjectImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `Project`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `Project`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `Project`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetOticket

          public boolean isSetOticket()

      Determine if the oticket attribute is set
      Specified by:
        `isSetOticket` in interface `Project`
      Returns:
        `true` if the oticket attribute is set

    - #### setOticket

          public void setOticket(int aOticket)

      Set the oticket attribute.
      Specified by:
        `setOticket` in interface `Project`
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          public int getOticket()

      Get the value of the oticket attribute.
      Specified by:
        `getOticket` in interface `Project`
      Returns:
        the value of the oticket attribute

    - #### isSetFshare

          public boolean isSetFshare()

      Determine if the fshare attribute is set
      Specified by:
        `isSetFshare` in interface `Project`
      Returns:
        `true` if the fshare attribute is set

    - #### setFshare

          public void setFshare(int aFshare)

      Set the fshare attribute.
      Specified by:
        `setFshare` in interface `Project`
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          public int getFshare()

      Get the value of the fshare attribute.
      Specified by:
        `getFshare` in interface `Project`
      Returns:
        the value of the fshare attribute

    - #### addAcl

          public void addAcl(UserSet aacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addAcl` in interface `Project`
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setAcl

          public void setAcl(int index,
                             UserSet aacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setAcl` in interface `Project`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllAcl

          public void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllAcl` in interface `Project`

    - #### removeAcl

          public UserSet removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeAcl` in interface `Project`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          public boolean removeAcl(UserSet aacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeAcl` in interface `Project`
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getAclList

          public java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclList` in interface `Project`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          public int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclCount` in interface `Project`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          public UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getAcl` in interface `Project`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetAcl

          public boolean isSetAcl()

      Determine if the acl attribute is set
      Specified by:
        `isSetAcl` in interface `Project`
      Returns:
        `true` if the acl attribute is set

    - #### addXacl

          public void addXacl(UserSet axacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addXacl` in interface `Project`
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXacl

          public void setXacl(int index,
                              UserSet axacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setXacl` in interface `Project`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXacl

          public void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllXacl` in interface `Project`

    - #### removeXacl

          public UserSet removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeXacl` in interface `Project`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          public boolean removeXacl(UserSet axacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeXacl` in interface `Project`
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getXaclList

          public java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclList` in interface `Project`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          public int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclCount` in interface `Project`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          public UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getXacl` in interface `Project`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetXacl

          public boolean isSetXacl()

      Determine if the xacl attribute is set
      Specified by:
        `isSetXacl` in interface `Project`
      Returns:
        `true` if the xacl attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Project`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.